[CentOS] Resolving a yum conflict

Morten lists at kikobu.com
Tue Oct 4 20:12:04 UTC 2005


How can I resolve a yum conflict? A lot of other packages depend on the 
conflicting file.

Thanks.

Morten


[root at machine ~]# yum install xorg-x11-deprecated-libs
Setting up Install Process
Setting up Repos
update                    100% |=========================|  951 B 
00:00
base                      100% |=========================| 1.1 kB 
00:00
addons                    100% |=========================|  951 B 
00:00
extras                    100% |=========================| 1.1 kB 
00:00
Reading repository metadata in from local files
update    : ################################################## 207/207
base      : ################################################## 1600/1600
extras    : ################################################## 23/23
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package xorg-x11-deprecated-libs.i386 0:6.8.2-1.EL.13.16 set to be 
updated
---> Package xorg-x11-deprecated-libs.x86_64 0:6.8.2-1.EL.13.16 set to 
be updated
--> Running transaction check
--> Processing Dependency: libXext.so.6 for package: 
xorg-x11-deprecated-libs
--> Processing Dependency: libX11.so.6 for package: xorg-x11-deprecated-libs
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package xorg-x11-libs.i386 0:6.8.2-1.EL.13.16 set to be updated
--> Running transaction check
--> Processing Dependency: libfontconfig.so.1 for package: xorg-x11-libs
--> Processing Dependency: libGL.so.1 for package: xorg-x11-libs
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package fontconfig.i386 0:2.2.3-7 set to be updated
---> Package xorg-x11-Mesa-libGL.i386 0:6.8.2-1.EL.13.16 set to be updated
--> Running transaction check

Dependencies Resolved
Transaction Listing:
   Install: xorg-x11-deprecated-libs.i386 0:6.8.2-1.EL.13.16 - update
   Install: xorg-x11-deprecated-libs.x86_64 0:6.8.2-1.EL.13.16 - update

Performing the following to resolve dependencies:
   Install: fontconfig.i386 0:2.2.3-7 - base
   Install: xorg-x11-Mesa-libGL.i386 0:6.8.2-1.EL.13.16 - update
   Install: xorg-x11-libs.i386 0:6.8.2-1.EL.13.16 - update
Total download size: 3.6 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Check Error:   file /usr/share/man/man5/fonts-conf.5.gz from 
install of fontconfig-2.2.3-7 conflicts with file from package 
fontconfig-2.2.3-7
[root at machine ~]#





More information about the CentOS mailing list